type: gene_set_collection
id: gene2phenotype
format: map
filename: gene2phenotype-map.txt
web_label: gene2phenotype
web_format_str: "key| (|count|): |desc"

meta:
  summary: |
    gene2phenotype 28_08_2024 release

  description: |
    [Gene2Phenotype](https://www.ebi.ac.uk/gene2phenotype/) is a comprehensive resource that links specific genes to their associated phenotypes or diseases, facilitating a deeper understanding of the genetic basis of human conditions. By cataloging gene-disease associations, it enables researchers and clinicians to explore how particular genetic variants or mutations contribute to observable traits, symptoms, and clinical outcomes. This resource is pivotal in areas like medical genetics, personalized medicine, and diagnostic research, where understanding the genetic underpinnings of diseases can guide more accurate diagnoses, targeted treatments, and improved patient care. Gene2Phenotype also aids in elucidating disease mechanisms by linking gene mutations to their functional consequences, thereby offering insights into the molecular pathways involved in various conditions.

    [Yates et al, Curating genomic disease-gene relationships with Gene2Phenotype, medRxiv 2024](https://www.medrxiv.org/content/10.1101/2024.02.26.24303357v1)

    [Thormann et al, Flexible and scalable diagnostic filtering of genomic variants using G2P with Ensembl VEP, Nature Communications 2019](https://www.nature.com/articles/s41467-019-10016-3)

    #### Processing Details
    Downloaded gene - (cancer, cardiac, developmental disease, eye, skeletal, skin) disease association files from [https://ftp.ebi.ac.uk/pub/databases/gene2phenotype/28\_08\_2024/](https://ftp.ebi.ac.uk/pub/databases/gene2phenotype/28\_08\_2024/) on 09/09/2024.

    dataprep1.py merges these six disease-specific csv files to make gene2phenotype.csv; prepares two files from the merged file: 

    gene2phenotype-map.txt has genes and disease names (spaces replaced with _)

    gene2phenotype-mapnames.txt has disease names as two repeated columns
